[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: removal of libpgsql-ocaml-dev

On Tue, Jun 14, 2005 at 07:24:45AM +0200, Alain Frisch wrote:
> Stefano Zacchiroli wrote:
> > Now that Sarge is out I would like to drop support for
> > libpgsql-ocaml-dev package. A bit of history: that package ships the
> > postgres binding developed by Alain Frisch (Cc-ed), while
> > libpostgresql-ocaml-dev ships binding developed my Markus Mottl. Even if
> > the former package is still supported upstream by Alain, he suggests to
> > use the latter for newer developments.
> Indeed, Markus has taken over the development (and I'm happy with that).
> However, some people are still using my branch (e.g.
> http://sandbox.merjis.com/dependencies). Also, Gerd created a GODI
> package for it in addition to Markus' version; I guess he had some
> demand for it since the package includes the comment "Well, there is
> still software needing it...". So, removing the package from Debian
> might break actual code.  (A good strategy could be to ask Markus' to
> add support for the old interface.)

Well, this is unstable, and we are at the start of a release cycle, and this
means now is better than later to find this out, so i would go for removing
it, and doing workaround fixes if people come up and complain. We have
probably ~ 1 year to find this and fix it.

Also, on a similar note, i will be retiring lablgtk 1 from active duty, as
etch will loose gnome1/gtk1 support anyway, and probably rename lablgtk2 as
lablgtk or something, not sure.


Sven Luther

Reply to: